package pro.litvinovg.w2phtml;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class SingleLogArray {
	private List<String> array = Collections.synchronizedList(new ArrayList<String>());
	private static SingleLogArray INSTANCE = null;

	private SingleLogArray() {

	}
	public static SingleLogArray create() {
		if (INSTANCE == null) {
			INSTANCE = new SingleLogArray();
		} 
		return INSTANCE;
	}
	public void addEvent(String event) {
		if (array.size() < 1000) {
			array.add(event);	
		}
	}
	public void clear() {
		array.clear();
	}
	public boolean isEmpty() {
		return array.isEmpty();
	}
	public String getLogs() {
		if (!array.isEmpty()) {
			StringBuilder sb = new StringBuilder();
			for (String event : array) {
				sb.append(event);
				sb.append("\n");
				}
			array.clear();
			return sb.toString();	
		} else {
			return "No errors found.";	
		}
	}
	
}
